<?php
  include_once "common.php";
  include_once "config.php";
  $f = $_GET["f"] ?? null;
  if ( !$f ) {
    header("Location: 404.php");
    die();
  }
  $parts = split_filename( $f );
	$data  = read_post( $parts["raw"] );
	if ( !$data ) {
    header("Location: 404.php");
    die();
	}
	include_once "parsedown.php";
	$html = Parsedown::instance()->text( $data );
?>
<!DOCTYPE html>
<html lang="<?php echo SITE_LANG; ?>">
  <head>
    <title><?php echo $parts["title"]; ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( SIMPLE_CSS ): ?>
      <link rel="stylesheet" href="css/simple.css">
    <?php endif; ?>
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/admin-bar.css">
    <?php echo POST_HEAD ?: ""; ?>
  </head>
  <body class="post">
    <?php include_once "admin-bar-partial.php"; ?>
    <header>
    <?php if ( SITE_HEADER ): ?>
      <?php echo SITE_HEADER; ?>
    <?php else: ?>
      <h1><a href="/"><?php echo SITE_NAME; ?></a></h1>
    <?php endif; ?>
    </header>
    <main>
			<div class="article-head">
				<h1><?php echo $parts["title"]; ?></h1>
        <?php if ( SHOW_DATES ): ?>
          <p class="date"><?php echo $parts["time"]; ?></p>
        <?php endif; ?>
			</div>
			<div class="article-body">
				<?php echo $html; ?>
			</div>
    </main>
    <?php if ( SITE_FOOTER ): ?>
      <footer>
      <?php echo SITE_FOOTER; ?>
      </footer>
    <?php endif; ?>
  </body>
</html>
    
  


